/**
 * The configuration for the MyAnimeList API.
 */
declare const Config: {
    readonly endpoint: "https://api.myanimelist.net";
    readonly website: "https://myanimelist.net";
    readonly version: {
        readonly v1: "v1";
        readonly v2: "v2";
    };
    /**
     * Access Token lifetime in seconds (1 hour).
     * @see [documentation]{@link https://myanimelist.net/apiconfig/references/authorization#overview}
     */
    readonly TokenTTL: number;
    /**
     * Refresh Token lifetime in seconds (28 days).
     * @see [documentation]{@link https://myanimelist.net/apiconfig/references/authorization#overview}
     */
    readonly RefreshTokenTTL: number;
};

export { Config };
